general {
    disable_loading_bar = false
    hide_cursor = true
    ignore_empty_input = true
    grace = 5
}

background {
    monitor = 
    path = /home/Hane/.config/wallpapers/bis2.png
    color = rgba(0, 0, 0, 1)

    enabled = true
    special = true
    blur_passes = 2
    blur_size = 1
    noise = 0.0117
    contrast = 0.8916
    brightness = 0.8172
    vibrancy = 0.1696
    vibrancy_darkness = 0.0
}

input-field {
    monitor = 
    # size = 50, 50
    # outline_thickness = 3
    outer_color = rgba(00ff99ee)
    inner_color = rgb(0, 0, 0)
    # font_color = rgb(0, 0, 0)
    # fade_on_empty = true
    # hide_input = true
    # position = 0, -60
    # halign = center
    # valign = center
    size = 300, 50
    outline_thickness = 2
    dots_size = 0.33 # Scale of input-field height, 0.2 - 0.8
    dots_spacing = 0.15 # Scale of dots' absolute size, 0.0 - 1.0
    dots_center = true
    dots_rounding = -2
    placeholder_text = AwA?
    font_color = rgb(255, 255, 255)
    font_family = 0xProto Nerd Font Mono
    fail_color = rgb(204, 136, 34) #cc88322
    fail_text = Oops<sup>$ATTEMPTS</sup>
    fail_transition = 150
    capslock_color = -1
    shadow_passes = 3
    blur_passes = 2
    blur_size = 1
	
    position = 6, -61
    halign = center
    valign = center
}

label {
    monitor = 
    text = $TIME
    color = rgb(ffb2ee)
    font_size = 36
    font_family = 0xProto Nerd Font Mono
    position = 0, 120
    halign = center
    valign = center
}

# label {
#     monitor = 
#     text = <span> </span>
#     position = 6, -61
#     font_family = Microgramma D
#     font_size = 20
#     halign = center
#     valign = center
# }

# label {
#     monitor = 
#     text = Welcome
#     color = rgba(200, 200, 200, 1.0)
#     font_size = 20
#     font_family = 0xProto Nerd Font Mono
#     position = 0, 30
#     halign = center
#     valign = center
# }

# label {
#     monitor = 
#     text = <span foreground="red">$USER</span>
#     color = rgba(200, 200, 200, 1.0)
#     font_size = 22
#     font_family = 0xProto Nerd Font Mono
#     position = 0, 0
#     halign = center
#     valign = center
# }
